[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPStringHashTable.Iterate

Iterate over the strings in the hash table

## Declaration

Source position: contnrs.pp line 440

`public function TFPStringHashTable.Iterate(`
`aMethod: TStringIteratorMethod`
`):string; virtual;`

## Arguments

`aMethod` |  | Method to call for each string in the hash table.

## Function result

Empty or the string that caused the iterate to abort.

## Description

Iterate iterates over all elements in the array, calling aMethod for each string, or until the method returns False in its continue parameter. It returns an empty string if all elements were processed, or the string that was being processed when aMethod returned False in the Continue parameter.

## See also

ForeachCall

Documentation generated on: Feb 26 2014